<?php
/*

Obsoleto, no se utiliza

*/
@ $llamante=basename($_SERVER['HTTP_REFERER']);
$llamante=substr($llamante,0,strpos($llamante,".php") );
if (isset($_REQUEST['rep'])){
	if ($_REQUEST['rep']=='1'){
		$listados['analizador_peticion_list']='prueba6_1_1';
		$listados['analizador_peticion_view']='prueba6_1_1';
		$listados['peticion4audit_list']='prueba6_1_1';
		$listados['peticion4audit_view']='prueba6_1_1';
	}
	if ($_REQUEST['rep']==2){
		$listados['analizador_peticion_list']='AuditoriaABAP2_1';
		$listados['analizador_peticion_view']='AuditoriaABAP2_1';
		$listados['peticion4audit_list']='AuditoriaABAP2_1';
		$listados['peticion4audit_view']='AuditoriaABAP2_1';
	}
}
	if (isset($listados[$llamante])){
		require_once('GenerateReport.php');
		$client = new GenerateReport();
		$report_unit = $listados[$llamante];
		$report_path = "/reports/Nexus/";
		$report_format = "PDF";
		$report_params=$_REQUEST;
		$result = $client->printReport($report_path,$report_unit, $report_format,$report_params);
		header('Content-Type: application/pdf');
		echo $result;
	}else{
		echo "Solicite los listados �nicamente desde la aplicaci�n";
	}
?>
